package com.jpsoft.shinestar.modules.workflow.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.shinestar.modules.base.entity.PersonPopedom;
import com.jpsoft.shinestar.modules.workflow.entity.ProcinstActUser;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ProcinstActUserService {
	ProcinstActUser get(String id);
	boolean exist(String id);
	int insert(ProcinstActUser model);
	int update(ProcinstActUser model);
	int delete(String id);
	List<ProcinstActUser> list();
	Page<ProcinstActUser> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    List<ProcinstActUser> findByProcinstActivityId(String procinstActivityId);

    void examineSubmit(String procinstActUserIds, PersonPopedom personPopedom, String status, String content) throws Exception;

    List<ProcinstActUser> findByProcinstActivityIdActionType(String procinstActivityId,String action,String type);
}